%define upstream_name    Test-URI
%define upstream_version 1.086

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Check Uniform Resource Identifiers
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.640.0
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(Test::Builder::Tester)
BuildRequires: perl(Test::More) >= 1.0.0
BuildRequires: perl(URI)
BuildArch:  noarch

%description 
Check various parts of Uniform Resource Locators.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%{__make} test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml examples
%{perl_vendorlib}/Test
%{_mandir}/*/*

%changelog
* Fri Jan 24 2025 tv <tv> 1.86.0-1.mga10
+ Revision: 2141964
- update to 1.086

* Wed Feb 07 2024 tv <tv> 1.85.0-1.mga10
+ Revision: 2038341
- update to 1.085

* Mon Mar 28 2022 umeabot <umeabot> 1.84.0-2.mga9
+ Revision: 1830556
- Mageia 9 Mass Rebuild

* Mon Jan 10 2022 tv <tv> 1.84.0-1.mga9
+ Revision: 1767728
- update to 1.084

* Fri Feb 26 2021 tv <tv> 1.83.0-1.mga9
+ Revision: 1692135
- update to 1.083

* Wed Feb 12 2020 umeabot <umeabot> 1.82.0-3.mga8
+ Revision: 1506567
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 1.82.0-2.mga7
+ Revision: 1286827
- Mageia 7 Mass Rebuild

* Sat May 05 2018 shlomif <shlomif> 1.82.0-1.mga7
+ Revision: 1226481
- update to 1.082

* Sun Jun 19 2016 pterjan <pterjan> 1.81.0-2.mga6
+ Revision: 1034675
- Rebuild for perl 5.22.2

* Fri Apr 15 2016 shlomif <shlomif> 1.81.0-1.mga6
+ Revision: 1002318
- update to 1.081

* Mon Feb 08 2016 umeabot <umeabot> 1.80.0-6.mga6
+ Revision: 944195
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.80.0-5.mga5
+ Revision: 743282
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.80.0-4.mga5
+ Revision: 686562
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.80.0-3.mga4
+ Revision: 515372
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.80.0-2.mga3
+ Revision: 373867
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 23 2011 jquelin <jquelin> 1.80.0-1.mga1
+ Revision: 34299
- mageia rebuild
- imported package perl-Test-URI

